GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
selftests::optional::cons_value::throwing_construction Struct Reference

## Public Member Functions
| throwing_construction (bool propagate)
| throwing_construction (throwing_construction const &other)

## Public Attributes
bool | propagate

## Detailed Description

Definition at line 45 of file optional-selftests.c.

## Constructor & Destructor Documentation

## ◆ throwing_construction() [1/2]

selftests::optional::cons_value::throwing_construction::throwing_construction | ( | bool | propagate | ) |
| inline explicit

Definition at line 47 of file optional-selftests.c.

## ◆ throwing_construction() [2/2]

selftests::optional::cons_value::throwing_construction::throwing_construction | ( | throwing_construction const & | other | ) |
| inline

Definition at line 49 of file optional-selftests.c.

## Member Data Documentation

## ◆ propagate

bool selftests::optional::cons_value::throwing_construction::propagate

Definition at line 56 of file optional-selftests.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/optional-selftests.c